using System;
using System.Data;
using System.Configuration;
using System.Web;
using System.Web.Security;
using System.Web.UI;
using System.Web.UI.WebControls;
using System.Web.UI.WebControls.WebParts;
using System.Web.UI.HtmlControls;
using Microsoft.ApplicationBlocks.Data;
using System.Data.SqlClient;

/// <summary>
/// Summary description for clsEmployee
/// </summary>
public class clsEmpDetails
{

    #region for fieldds,properties
    public clsEmpDetails()
    { }
    string _EmpId, _EmpName, _Address, _EmailId, _DeptId, _UserId, _DesgId, _DesgName, _DesgDesc,
           _City, _State, _Country, _ContactNo,_MgrId;
    string _UserName, _PassWord;

    public string UserName
    {
        get { return _UserName; }
        set { _UserName = value; }
    }

    public string Password
    {
        get { return _PassWord; }
        set { _PassWord = value; }
    }

    public string ContactNo
    {
        get { return _ContactNo; }
        set { _ContactNo = value; }
    }

    public string Country
    {
        get { return _Country; }
        set { _Country = value; }
    }

    public string State
    {
        get { return _State; }
        set { _State = value; }
    }

    public string City
    {
        get { return _City; }
        set { _City = value; }
    }
    DateTime _DateOfBirth, _DateOfJoin;
    public string DesgDesc
    {
        get { return _DesgDesc; }
        set { _DesgDesc = value; }
    }

    public string DesgName
    {
        get { return _DesgName; }
        set { _DesgName = value; }
    }

    public string DesgId
    {
        get { return _DesgId; }
        set { _DesgId = value; }
    }

    public string UserId
    {
        get { return _UserId; }
        set { _UserId = value; }
    }

    public string DeptId
    {
        get { return _DeptId; }
        set { _DeptId = value; }
    }

    public string EmailId
    {
        get { return _EmailId; }
        set { _EmailId = value; }
    }

    public string Address
    {
        get { return _Address; }
        set { _Address = value; }
    }

    public DateTime DateOfJoin
    {
        get { return _DateOfJoin; }
        set { _DateOfJoin = value; }
    }

    public DateTime DateOfBirth
    {
        get { return _DateOfBirth; }
        set { _DateOfBirth = value; }
    }

    public string EmpName
    {
        get { return _EmpName; }
        set { _EmpName = value; }
    }

    public string EmpId
    {
        get { return _EmpId; }
        set { _EmpId = value; }
    }
    public string MgrId
    {
        get { return _MgrId; }
        set { _MgrId = value; }
    }
    #endregion for fieldds,properties


    public void InsertEmpDetails()
    {
        SqlParameter[] p = new SqlParameter[14];
        try
        {
            p[0] = new SqlParameter("@empname", SqlDbType.VarChar, 50);
            p[0].Value = this.EmpName;
            p[1] = new SqlParameter("@DOB", SqlDbType.DateTime);
            p[1].Value = this._DateOfBirth;
            p[2] = new SqlParameter("@DOJ", SqlDbType.DateTime);
            p[2].Value = this.DateOfJoin;
            p[3] = new SqlParameter("@address", SqlDbType.VarChar, 300);
            p[3].Value = this._Address;
            p[4] = new SqlParameter("@city", SqlDbType.VarChar, 50);
            p[4].Value = this._City;
            p[5] = new SqlParameter("@state", SqlDbType.VarChar, 50);
            p[5].Value = this._State;
            p[6] = new SqlParameter("@country", SqlDbType.VarChar, 50);
            p[6].Value = this._Country;
            p[7] = new SqlParameter("@emailId", SqlDbType.VarChar, 50);
            p[7].Value = this._EmailId;
            p[8] = new SqlParameter("@contactno", SqlDbType.VarChar, 50);
            p[8].Value = this.ContactNo;
            p[9] = new SqlParameter("@deptId", SqlDbType.VarChar, 50);
            p[9].Value = this._DeptId;
            p[10] = new SqlParameter("@desgid", SqlDbType.VarChar, 50);
            p[10].Value = this._DesgDesc;
            p[11] = new SqlParameter("@mgrid", SqlDbType.VarChar, 50);
            p[11].Value = this._MgrId;
            p[12] = new SqlParameter("@username", SqlDbType.VarChar, 50);
            p[12].Value = this._UserName;
            p[13] = new SqlParameter("@password", SqlDbType.VarChar, 50);
            p[13].Value = this._PassWord;
            SqlHelper.ExecuteNonQuery(clsConnections.Con, CommandType.StoredProcedure, "spInsertEmpDetails", p);

        }
        catch (Exception ex)
        {
            throw new ArgumentException(ex.Message);
        }
    }
    public static DataSet GetMgridandName()
    {
        try
        {
            string strqry = "select  EmpId,Empname from tblempdetails where desg='Manager'";
            return SqlHelper.ExecuteDataset(clsConnections.Con, CommandType.Text, strqry, null);
        }
        catch(Exception ex)
        {
            throw new ArgumentException(ex.Message);
        }
    }
    public static DataSet GetMgrsDetails()
    {
        try
        {
            string strqry = "select  *from  tblempdetails where desg in ('Manager','Finance Manager')";
            return SqlHelper.ExecuteDataset(clsConnections.Con, CommandType.Text, strqry, null);
        }
        catch (Exception ex)
        {
            throw new ArgumentException(ex.Message);
        }
    }
    public DataSet GetEmpDetails()
    {
        try
        {
            SqlParameter[] p = new SqlParameter[1];
            p[0] = new SqlParameter("@EmpId", this._EmpId);
            p[0].DbType = DbType.String;

            return SqlHelper.ExecuteDataset(clsConnections.Con, CommandType.StoredProcedure, "spGetEmpDetails", p);

        }
        catch (Exception ex)
        {
            throw new ArgumentException(ex.Message);
        }
    }
    public DataSet GetEmpNameByEmpId()
    {
        try
        {
            string str = "select EmpName from tblEmpDetails where Empid='" + this._EmpId + "'";
            return SqlHelper.ExecuteDataset(clsConnections.Con, CommandType.Text, str, null);
        }
        catch (Exception ex)
        {
            throw new ArgumentException(ex.Message);
        }
    }
    public void UpdateEmpDetails()
    {
        SqlParameter[] p = new SqlParameter[7];
        try
        {
            p[0] = new SqlParameter("@EmpId", SqlDbType.VarChar, 50);
            p[0].Value = this._EmpId;
            p[1] = new SqlParameter("@address", SqlDbType.VarChar, 300);
            p[1].Value = this._Address;
            p[2] = new SqlParameter("@city", SqlDbType.VarChar, 50);
            p[2].Value = this._City;
            p[3] = new SqlParameter("@state", SqlDbType.VarChar, 50);
            p[3].Value = this._State;
            p[4] = new SqlParameter("@country", SqlDbType.VarChar, 50);
            p[4].Value = this._Country;
            p[5] = new SqlParameter("@emailId", SqlDbType.VarChar, 50);
            p[5].Value = this._EmailId;
            p[6] = new SqlParameter("@contactno", SqlDbType.VarChar, 50);
            p[6].Value = this.ContactNo;

            SqlHelper.ExecuteNonQuery(clsConnections.Con, CommandType.StoredProcedure, "spUpdateEmpDetails", p);

        }
        catch (Exception ex)
        {
            throw new ArgumentException(ex.Message);
        }
    }
    public static string GetFMgrDetails()
    {
        SqlParameter p = new SqlParameter();
        try
        {

            p = new SqlParameter("@mgrid", SqlDbType.VarChar, 50);
            p.Direction = ParameterDirection.Output;

            SqlHelper.ExecuteNonQuery(clsConnections.Con, CommandType.StoredProcedure, "GetFMgrDetails", p);
            return p.Value.ToString();
        }
        catch (Exception ex)
        {
            throw new ArgumentException(ex.Message);
        }
    }
    public DataSet GetManagerDetails(string desg, string deptid)
    {
        SqlParameter[] p = new SqlParameter[2];
        try
        {
            p[0] = new SqlParameter("@desig", SqlDbType.VarChar, 50);
            p[0].Value = desg;
            p[1] = new SqlParameter("@deptid", SqlDbType.VarChar, 50);
            p[1].Value = deptid;
            return SqlHelper.ExecuteDataset(clsConnections.Con, CommandType.StoredProcedure, "Getmanagerdetails", p);

        }
        catch (Exception ex)
        {
            throw new ArgumentException(ex.Message);
        }
    }
    public static DataSet GetEmployees()
    {
        try
        {
            string str = "SELECT [EmpId], [Empname], [DOJ], [ContactNo], [DeptId], [Desg], [MgrId] FROM [tblEmpDetails] WHERE ([Desg] = 'Employee')";
            return SqlHelper.ExecuteDataset(clsConnections.Con, CommandType.Text, str, null);
        }
        catch (Exception ex)
        {
            throw new ArgumentException(ex.Message);
        }
    }
    public static DataSet  GetEmployees(object p)
    {
        return SqlHelper.ExecuteDataset(clsConnections.Con, CommandType.Text, "select *from tblempdetails where desg='employee' and mgrid='" + p + "'", null);  
    }
}
