using System;
using System.Data;
using System.Configuration;
using System.Collections;
using System.Web;
using System.Web.Security;
using System.Web.UI;
using System.Web.UI.WebControls;
using System.Web.UI.WebControls.WebParts;
using System.Web.UI.HtmlControls;
using System.Drawing;
public partial class Managers_frmBillDetails : System.Web.UI.Page
{
    public string Id;
    clsPayDeatails objPay = new clsPayDeatails();
    clsBills objBills = new clsBills();
    protected void Page_Load(object sender, EventArgs e)
    {
        if ( Session["Designation"]!=null && Session["Designation"].ToString() == "Manager" )
        {
            if (!IsPostBack)
            {
                Id = Request["Id"];
                GetData();
            }
        }
        else
            Response.Redirect("~/frmLogin.aspx");
    }
    void GetData()
    {
        try
        {
            objBills.BillId = Id;
            DataSet dsBill = objBills.GetBillByBillId();
            DataRowCollection drc = dsBill.Tables[0].Rows;
            if (drc.Count > 0)
            {
                txtBillId.Text = drc[0]["BillId"].ToString();
                txtBillDesc.Text = drc[0]["BillDesc"].ToString();
                txtBilldate.Text = drc[0]["BillDate"].ToString();
                txtBillAmt.Text = drc[0]["BillAmount"].ToString();
                txtDueAmount.Text = drc[0]["DueAmount"].ToString();
                txtDueDate.Text = drc[0]["DueDate"].ToString();
                //txtPaidAmt.Text = drc[0]["PaidAmount"].ToString();
                txtDeptId.Text = drc[0]["DeptId"].ToString();
                txtEmpId.Text = drc[0]["EmpId"].ToString();
                txtMailId.Text = drc[0]["EmpMailId"].ToString();
                txtStatus.Text = drc[0]["BillStatus"].ToString();
            }
        }
        catch (Exception ex)
        {
            lblMsg.Text = ex.Message;
        }
    }
    protected void btncancel_Click(object sender, EventArgs e)
    {
        Response.Redirect("~/Managers/frmBillInfo.aspx");
    }
    protected void btnAccept_Click(object sender, EventArgs e)
    {
        try
        {
            objBills.BillId = txtBillId.Text;
            objBills.UpdateStatus();
            lblMsg.Text = "Bill Accepted And Send To Finance Manager";

        }
        catch (Exception ex)
        {
            lblMsg.Text = ex.Message;
            lblMsg.BackColor = Color.Red;
        }
    }
       
}
