using System;
using System.Data;
using System.Configuration;
using System.Collections;
using System.Web;
using System.Web.Security;
using System.Web.UI;
using System.Web.UI.WebControls;
using System.Web.UI.WebControls.WebParts;
using System.Web.UI.HtmlControls;

public partial class Admin_frmDeptDetails : System.Web.UI.Page
{
    clsDept objDept = new clsDept();
    protected void Page_Load(object sender, EventArgs e)
    {
        if (Session["Admin"] != null)
        {
            GetData();
        }
        else
            Response.Redirect("~/Admin/frmAdminLogin.aspx");
    }
    void GetData()
    {
        DataSet dsDept = objDept.GetDeptData();
        grdDept.DataSource = dsDept.Tables[0];
        grdDept.DataBind();
    }
    protected void btnadd_Click(object sender, EventArgs e)
    {
        try
        {
            objDept.DeptName = txtdeptname.Text;
            objDept.DeptLoc = txtlocation.Text;
            objDept.InsertDept();
            GetData();
            panal1.Visible = false;
        }
        catch (Exception ex)
        {
            lblmsg.Text = "Error :"+ex.Message;
        }
    }
    protected void tbnCancel_Click(object sender, EventArgs e)
    {
        if (txtdeptname.Text == "" && txtlocation.Text == "")
            panal1.Visible = false;
        else
        {
            txtdeptname.Text = "";
            txtlocation.Text = "";
        }
    }
    protected void btnAddNew_Click(object sender, EventArgs e)
    {
        txtdeptname.Text = "";
        txtlocation.Text = "";
        panal1.Visible = true;
    }
}
