using System;
using System.Data;
using System.Configuration;
using System.Collections;
using System.Web;
using System.Web.Security;
using System.Web.UI;
using System.Web.UI.WebControls;
using System.Web.UI.WebControls.WebParts;
using System.Web.UI.HtmlControls;

public partial class Admin_Employee_frmEmployeeDetails : System.Web.UI.Page
{
    clsDept objdeptdetails = new clsDept();
    clsEmpDetails ObjEmpDetails = new clsEmpDetails();
    protected void Page_Load(object sender, EventArgs e)
    {
        if (Session["Admin"] != null)
        {
            GMDatePicker1.Attributes.Add("readOnly", "readOnly()");
            GMDatePicker2.Attributes.Add("readOnly", "readOnly()");
            if (!IsPostBack)
            {
                GetdeptDetatils();
            }
        }
        else
            Response.Redirect("~/Admin/frmAdminLogin.aspx");
    }
    private void GetdeptDetatils()
    {
        ddldeptname.DataSource = objdeptdetails.GetDeptData();
        ddldeptname.DataTextField = "deptname";
        ddldeptname.DataValueField = "deptid";
        ddldeptname.DataBind();
        ddldeptname.Items.Insert(0, "--Select--");
    }
    void Cleardata()
    {
        txtAddress.Text = "";
        txtCity.Text = "";
        txtContactNo.Text = "";
        txtCountry.Text = "";
        txtEmailid.Text = "";
        txtempname.Text = "";
        txtPassword.Text = "";
        txtUsername.Text = "";
        txtState.Text = "";
        for (int i = 0;i< ddlMgrid.Items.Count; i++)
            ddlMgrid.Items[i].Selected = false;
        ddlMgrid.Items[0].Selected = true;
        for (int i = 0; i < ddldeptname.Items.Count; i++)
            ddldeptname.Items[i].Selected = false;
        ddldeptname.Items[0].Selected = true;
        for (int i = 0; i < ddldesg.Items.Count; i++)
            ddldesg.Items[i].Selected = false;
        ddldesg.Items[0].Selected = true;
    }
    protected void btnAdd_Click(object sender, EventArgs e)
    {
        ObjEmpDetails.EmpName = txtempname.Text;
        ObjEmpDetails.DateOfBirth = GMDatePicker1.Date;
        ObjEmpDetails.DateOfJoin = GMDatePicker2.Date;
        ObjEmpDetails.Address = txtAddress.Text;
        ObjEmpDetails.City = txtCity.Text;
        ObjEmpDetails.State = txtState.Text;
        ObjEmpDetails.Country = txtCountry.Text;
        ObjEmpDetails.EmailId = txtEmailid.Text;
        ObjEmpDetails.ContactNo = txtContactNo.Text;
        ObjEmpDetails.DeptId = ddldeptname.SelectedValue.ToString();
        if (ddldeptname.SelectedValue.ToString() == "Finance Manager")
        ObjEmpDetails.MgrId = ddlMgrid.SelectedItem.ToString();
        else
        ObjEmpDetails.MgrId = ddlMgrid.SelectedValue.ToString();
        ObjEmpDetails.DesgDesc = ddldesg.SelectedItem.ToString();
        ObjEmpDetails.UserName = txtUsername.Text;
        ObjEmpDetails.Password = txtPassword.Text;
        try
        {
            ObjEmpDetails.InsertEmpDetails();
            lblMsg.Text = "Employee added";
            Cleardata();
        }
        catch (Exception ex)
        {
            lblMsg.Text = ex.Message;
        }

    }
    protected void btnCancel_Click(object sender, EventArgs e)
    {
        Cleardata();
        lblMsg.Text = "";
    }
    protected void ddldesg_SelectedIndexChanged(object sender, EventArgs e)
    {
        string deptid = ddldeptname.SelectedValue.ToString();
        string ddldesig = ddldesg.SelectedItem.ToString();

        if (ddldesig == "Finance Manager")
        {
            try
            {

                string mgrid = clsEmpDetails.GetFMgrDetails();
                ddlMgrid.Items.Insert(0, mgrid);
            }
            catch (Exception ex)
            {
                lblMsg.Text = ex.Message;
            }
        }
        else if(ddldeptname.SelectedItem.ToString()!="--Select--") 
        {
            try
            {
                DataSet ds = ObjEmpDetails.GetManagerDetails(ddldesig, deptid);
                ddlMgrid.DataSource = ds;
                ddlMgrid.DataTextField = "empname";
                ddlMgrid.DataValueField = "empid";
                ddlMgrid.DataBind();
                ddlMgrid.Items.Insert(0, "--Select--");
            }
            catch (Exception ex)
            {
                lblMsg.Text = ex.Message;
            }
       }

       
    }
}
