using System;
using System.Data;
using System.Configuration;
using System.Web;
using System.Web.Security;
using System.Web.UI;
using System.Web.UI.WebControls;
using System.Web.UI.WebControls.WebParts;
using System.Web.UI.HtmlControls;
using Microsoft.ApplicationBlocks.Data;
using System.Data.SqlClient;
/// <summary>
/// Summary description for clsBills
/// </summary>
public class clsBills
{
	

    #region for fieldds,properties
    public clsBills()
    { }
    DateTime _BillDate, _DueDate;
    string _BillTypeId, _BillName, _BillDesc, _BillId, _EmpId,
            _DeptId, _EmpEmailId,_Status;
   decimal  _BillAmt, _DueAmt, _PaidAmt;

    public string Status
    {
        get { return _Status; }
        set { _Status = value; }
    }
    public string BillName
    {
        get { return _BillName; }
        set { _BillName = value; }
    }

    public string BillTypeId
    {
        get { return _BillTypeId; }
        set { _BillTypeId = value; }
    }
    public string EmpEmailId
    {
        get { return _EmpEmailId; }
        set { _EmpEmailId = value; }
    }

    public string DeptId
    {
        get { return _DeptId; }
        set { _DeptId = value; }
    }
        
    public string EmpId
    {
        get { return _EmpId; }
        set { _EmpId = value; }
    }

    public string BillId
    {
        get { return _BillId; }
        set { _BillId = value; }
    }

    public string BillDesc
    {
        get { return _BillDesc; }
        set { _BillDesc = value; }
    }

    public DateTime DueDate
    {
        get { return _DueDate; }
        set { _DueDate = value; }
    }

    public DateTime BillDate
    {
        get { return _BillDate; }
        set { _BillDate = value; }
    }

    public decimal PaidAmt
    {
        get { return _PaidAmt; }
        set { _PaidAmt = value; }
    }

    public decimal DueAmt
    {
        get { return _DueAmt; }
        set { _DueAmt = value; }
    }

    public decimal BillAmt
    {
        get { return _BillAmt; }
        set { _BillAmt = value; }
    }
    string _BillPath;
    public string BillPath
    {
        get { return _BillPath; }
        set { _BillPath = value; }
    }
    string _MgrId;

    public string MgrId
    {
        get { return _MgrId; }
        set { _MgrId = value; }
    }
    #endregion for fieldds,properties

    public  static DataSet GetBillDetails(string MgrId)
    {
        string strqry = "select  * from tblBills where mgrid='" + MgrId + "'";
        try
        {
            return SqlHelper.ExecuteDataset(clsConnections.Con, CommandType.Text,strqry, null);
        }
        catch (Exception ex)
        {
            throw new ArgumentException(ex.Message);
        }
    }
    public static DataSet GetBillSByStatusNotOk(string userid)
    {
        try
        {
            string str = "select * from tblBills where Billstatus='NotAccept' and MgrId='"+userid +"'";
            return SqlHelper.ExecuteDataset(clsConnections.Con, CommandType.Text, str, null);
        }
        catch (Exception ex)
        {
            throw new ArgumentException(ex.Message);
        }
    }
    public static DataSet  GetBillSByStatusOk()
    {
        try
        {
            string str = "select * from tblBills where Billstatus='Accept'";
            return SqlHelper.ExecuteDataset(clsConnections.Con, CommandType.Text, str, null);
        }
        catch (Exception ex)
        {
            throw new ArgumentException(ex.Message);
        }
    }
    public void InsertBills()
    {
        SqlParameter[] p = new SqlParameter[9];
        try
        {
            p[0] = new SqlParameter("@BillDesc", SqlDbType.VarChar, 50);
            p[0].Value = this._BillDesc;

            p[1] = new SqlParameter("@BillDate", SqlDbType.DateTime);
            p[1].Value = this._BillDate;

            p[2] = new SqlParameter("@BillAmt", SqlDbType.Money );
            p[2].Value = this._BillAmt;

            p[3] = new SqlParameter("@DueAmt", SqlDbType.Money );
            p[3].Value = this._DueAmt;

            p[4] = new SqlParameter("@Duedate", SqlDbType.DateTime);
            p[4].Value = this._DueDate;
            p[5] = new SqlParameter("@PaidAmt", SqlDbType.Money );
            p[5].Value = this._PaidAmt;

            p[6] = new SqlParameter("@BillPath", SqlDbType.VarChar, 150);
            p[6].Value = this._BillPath;
            p[7] = new SqlParameter("@EmpId", SqlDbType.VarChar, 50);
            p[7].Value = this._EmpId;

            p[8] = new SqlParameter("@MgrId", SqlDbType.VarChar, 50);
            p[8].Value = this._MgrId;
            SqlHelper.ExecuteNonQuery(clsConnections.Con, CommandType.StoredProcedure, "spInsertBills", p);
        }
        catch (Exception ex)
        {
            throw new ArgumentException(ex.Message);

        }
    }
    public object GetBillDesc()
    {
        string str = "select * from tblBillType";
        return SqlHelper.ExecuteDataset(clsConnections.Con, CommandType.Text, str, null);
    }
    public object GetManagerMailId()
    {
        string str = "select * from tblempdetails where desg='manager'";
        return SqlHelper.ExecuteDataset(clsConnections.Con, CommandType.Text, str, null);
    }
    public DataSet GetBillSByStatusForFinMgr(string UserId)
    {

        try
        {
            string str = "select * from tblbills where billstatus ='accept' and billid not in (select billid from tblpaydetails) and mgrid='" + UserId + "'";
            return SqlHelper.ExecuteDataset(clsConnections.Con, CommandType.Text, str, null);
        }
        catch (Exception ex)
        {
            throw new ArgumentException(ex.Message);
        }
    }
    public DataSet GetPaidBills()
    {

        try
        {
            string str = "select * from tblbills where billstatus ='accept' and billid in (select billid from tblpaydetails) ";
            return SqlHelper.ExecuteDataset(clsConnections.Con, CommandType.Text, str, null);
        }
        catch (Exception ex)
        {
            throw new ArgumentException(ex.Message);
        }
    }
    public DataSet GetRejectedBillsForManager()
    {

        try
        {
            string str = "select * from tblbills where billstatus ='NotAccept'";
            return SqlHelper.ExecuteDataset(clsConnections.Con, CommandType.Text, str, null);
        }
        catch (Exception ex)
        {
            throw new ArgumentException(ex.Message);
        }
    }
    public DataSet GetAcceptedBillsForManager()
    {

        try
        {
            string str = "select * from tblbills where billstatus ='Accept'";
            return SqlHelper.ExecuteDataset(clsConnections.Con, CommandType.Text, str, null);
        }
        catch (Exception ex)
        {
            throw new ArgumentException(ex.Message);
        }
    }
    public DataSet GetAcceptedBillsForManager(string MgrId)
    {

        try
        {
            string str = "select * from tblbills where billstatus ='Accept' and MgrId='"+MgrId +"'";
            return SqlHelper.ExecuteDataset(clsConnections.Con, CommandType.Text, str, null);
        }
        catch (Exception ex)
        {
            throw new ArgumentException(ex.Message);
        }
    }
    public  DataSet GetAllBills()
    {
        string strqry = "select  * from tblBills";
        try
        {
            return SqlHelper.ExecuteDataset(clsConnections.Con, CommandType.Text, strqry, null);
        }
        catch (Exception ex)
        {
            throw new ArgumentException(ex.Message);
        }
    }
    public DataSet GetBillByBillId()
    {
        string strqry = "select  * from tblBills where BillId='"+this._BillId +"'";
        try
        {
            return SqlHelper.ExecuteDataset(clsConnections.Con, CommandType.Text, strqry, null);
        }
        catch (Exception ex)
        {
            throw new ArgumentException(ex.Message);
        }
    }
    public void UpdateStatus()
    {
        string str = "update tblbills set billstatus='Accept' where BillId='" + this._BillId + "'";
        SqlHelper.ExecuteNonQuery(clsConnections.Con, CommandType.Text, str, null);
    }
    public DataSet GetPaidBillsByFinManager(string managerId)
    {
        try
        {
            SqlParameter[] p = new SqlParameter[1];
            p[0] = new SqlParameter("@ManagerId",managerId);
            p[0].DbType = DbType.String;
            return SqlHelper.ExecuteDataset(clsConnections.Con, CommandType.StoredProcedure, "spGetPaidBillsByFinManager", p);
        }
        catch (Exception ex)
        {
            throw new ArgumentException(ex.Message);
        }
    }
    public DataSet GetBillSendByEmp(string managerId)
    {
        try
        {
            string str = "select * from tblbills where billstatus ='NotAccept' and MgrId='" + managerId + "'";
            return SqlHelper.ExecuteDataset(clsConnections.Con, CommandType.Text, str, null);
        }
        catch (Exception ex)
        {
            throw new ArgumentException(ex.Message);
        } 
    }
    public DataSet GetRejectedBillsByManager(string p)
    {
        try
        {
            string str = "select * from tblbills where billstatus ='NotAccept' and MgrId='"+p+"'";
            return SqlHelper.ExecuteDataset(clsConnections.Con, CommandType.Text, str, null);
        }
        catch (Exception ex)
        {
            throw new ArgumentException(ex.Message);
        }
    }
    public static DataSet spGetPayDetails()
    {
        try
        {
            return SqlHelper.ExecuteDataset(clsConnections.Con, CommandType.StoredProcedure, "spGetPayDetails", null);  
        }
        catch (Exception ex)
        {
            throw new ArgumentException(ex.Message);
        }
    }
    public static DataSet GetBillBasedOnEmployee(string p)
    {
        return SqlHelper.ExecuteDataset(clsConnections.Con, CommandType.Text, "select *from tblbills where empid='" + p+"'", null);
    }
    public DataSet GetAcceptedBillsForEmployee(string empId)
    {
         try
         {
             string str = "select * from tblbills where Billstatus='Accept' and EmpId='" + empId + "' ";
             return SqlHelper.ExecuteDataset(clsConnections.Con, CommandType.Text, str, null);
         }
         catch (Exception ex)
         {
             throw new ArgumentException(ex.Message);
         }
    }
    public DataSet GetRejectedBillsForEmployee(string empId)
    {
        try
        {
            string str = "select * from tblbills where Billstatus='NotAccept' and EmpId='" + empId + "' ";
            return SqlHelper.ExecuteDataset(clsConnections.Con, CommandType.Text, str, null);
        }
        catch (Exception ex)
        {
            throw new ArgumentException(ex.Message);
        } 
    }
    public DataSet GetBillSByDeptForFinMgr(string DeptId)
    {
        try
        {
            string str = "select * from tblbills  where billid not in (select billid from tblpaydetails)and billstatus='Accept' and deptid='" + DeptId + "'";
            return SqlHelper.ExecuteDataset(clsConnections.Con, CommandType.Text, str, null);
        }
        catch (Exception ex)
        {
            throw new ArgumentException(ex.Message);
        } 
    }


    public DataSet GetAllBillsByDeptId(string DeptId)
    {
        try
        {
            string str = "select * from tblbills  where deptid='" + DeptId + "'";
            return SqlHelper.ExecuteDataset(clsConnections.Con, CommandType.Text, str, null);
        }
        catch (Exception ex)
        {
            throw new ArgumentException(ex.Message);
        } 
    }

    public DataSet GetRejectedBillByDeptId(string DeptId)
    {
        
        try
        {
            string str = "select * from tblbills where BillStatus='NotAccept' and DeptId='" + DeptId + "'";
            return SqlHelper.ExecuteDataset(clsConnections.Con, CommandType.Text, str, null);
        }
        catch (Exception ex)
        {
            throw new ArgumentException(ex.Message);
        } 
    }

    public DataSet GetAcceptedBillsBydeptId(string p)
    {
        try
        {
            string str = "select * from tblbills where  BillStatus='Accept' and DeptId='" + DeptId + "'";
            return SqlHelper.ExecuteDataset(clsConnections.Con, CommandType.Text, str, null);
        }
        catch (Exception ex)
        {
            throw new ArgumentException(ex.Message);
        } 
    }
    public static DataSet GetEmployees(string p)
    {
        return SqlHelper.ExecuteDataset(clsConnections.Con, CommandType.Text, "select *from tblempdetails where desg='employee' and mgrid='" + p + "'", null);
    }
    public object GetRejectedBillsForManager(string p)
    {
        try
        {
            string str = "select * from tblbills where billstatus ='NotAccept' and MgrId='" + p + "'";
            return SqlHelper.ExecuteDataset(clsConnections.Con, CommandType.Text, str, null);
        }
        catch (Exception ex)
        {
            throw new ArgumentException(ex.Message);
        }
    }

    public void UpdatePaidAmount()
    {
        try
        {
            string str = "update tblbills set paidamount=" + this._PaidAmt + " where BillId='" + this._BillId + "'";
            SqlHelper.ExecuteNonQuery(clsConnections.Con, CommandType.Text, str, null);
        }
        catch (Exception ex)
        {
            throw new ArgumentException(ex.Message);
        } 
    }
}
