using System;
using System.Data;
using System.Configuration;
using System.Web;
using System.Web.Security;
using System.Web.UI;
using System.Web.UI.WebControls;
using System.Web.UI.WebControls.WebParts;
using System.Web.UI.HtmlControls;
using System.Data.SqlClient;
using Microsoft.ApplicationBlocks.Data;
/// <summary>
/// Summary description for clsPayDeatails
/// </summary>
public class clsPayDeatails
 {
    public clsPayDeatails()
    { }

    #region for fieldds,properties
   
    string _PayMode, _BankName, _PayId, _EmpId,_ManagerId,_BillId, _PayNo;
    DateTime _PayDate;
    
    public string BillId
    {
        get { return _BillId; }
        set { _BillId = value; }
    }
    public string PayMode
    {
        get { return _PayMode; }
        set { _PayMode = value; }
    }

    public string BankName
    {
        get { return _BankName; }
        set { _BankName = value; }
    }

    public string PayId
    {
        get { return _PayId; }
        set { _PayId = value; }
    }

    public string EmpId
    {
        get { return _EmpId; }
        set { _EmpId = value; }
    }

    public string ManagerId
    {
        get { return _ManagerId; }
        set { _ManagerId = value; }
    }


    public DateTime PayDate
    {
        get { return _PayDate; }
        set { _PayDate = value; }
    }

    public string PayNo
    {
        get { return _PayNo; }
        set { _PayNo = value; }
    }
    #endregion for fieldds,properties

    public void InsertPayDetails()
    {
        try
        {
            SqlParameter[] p = new SqlParameter[7];

            p[0] = new SqlParameter("@BankName", this._BankName);
            p[0].DbType = DbType.String;

            p[1] = new SqlParameter("@PayDate", this._PayDate);
            p[1].DbType = DbType.DateTime;

            p[2] = new SqlParameter("@PayMode", this._PayMode);
            p[2].DbType = DbType.String;

            p[3] = new SqlParameter("@PayNo", this._PayNo);
            p[3].DbType = DbType.String;

            p[4] = new SqlParameter("@EmpId", this._EmpId);
            p[4].DbType = DbType.String;

            p[5] = new SqlParameter("@ManagerId", this._ManagerId);
            p[5].DbType = DbType.String;

            p[6] = new SqlParameter("@BillId", this._BillId);
            p[6].DbType = DbType.String;


            SqlHelper.ExecuteNonQuery(clsConnections.Con, CommandType.StoredProcedure, "spInsertPayDetails", p);
        }
        catch (Exception ex)
        {
            throw new ArgumentException(ex.Message);
        }
    }
    public bool GetStatusofBill()
    {
        string str = "select * from tblpaydetails where BillId='" + this._BillId + "'";
        DataSet ds = SqlHelper.ExecuteDataset(clsConnections.Con, CommandType.Text, str, null);
        if (ds.Tables.Count > 0)
            return false;
        else
            return true;
    }

    public DataSet GetPayDetails()
    {
        try
        {
            return SqlHelper.ExecuteDataset(clsConnections.Con, CommandType.StoredProcedure ,"spGetPayDetails", null);
        }
        catch (Exception ex)
        {
            throw new ArgumentException(ex.Message);
        }
    }

    public DataSet GetPayDetailsByManagerId(string ManagerId)
    {
        try
        {
            SqlParameter[] p = new SqlParameter[1];

            p[0] = new SqlParameter("@ManagerId", ManagerId);
            p[0].DbType = DbType.String;

            return SqlHelper.ExecuteDataset(clsConnections.Con, CommandType.StoredProcedure, "spGetPayDetailsByMgrId", p);
        }
        catch (Exception ex)
        {
            throw new ArgumentException(ex.Message);
        }
    }
    public DataSet GetPaidBillsByFinMgrForEmp(string EmpId)
    {
        
        try
        {
            SqlParameter[] p = new SqlParameter[1];

            p[0] = new SqlParameter("@EmpId", EmpId);
            p[0].DbType = DbType.String;

            return SqlHelper.ExecuteDataset(clsConnections.Con, CommandType.StoredProcedure , "spGetPaidBillsForEmp", p);
        }
        catch (Exception ex)
        {
            throw new ArgumentException(ex.Message);
        }
    }

    public DataSet GetPayDetailsByDept(string DeptId)
    {
        try
        {
            string str = "select *from tblpaydetails where empid in (select empid from tblempdetails where deptid='" + DeptId + "')";
            return SqlHelper.ExecuteDataset(clsConnections.Con, CommandType.Text ,str, null);
        }
        catch (Exception ex)
        {
            throw new ArgumentException(ex.Message);
        } 
    }

    
}
