using System;
using System.Data;
using System.Configuration;
using System.Collections;
using System.Web;
using System.Web.Security;
using System.Web.UI;
using System.Web.UI.WebControls;
using System.Web.UI.WebControls.WebParts;
using System.Web.UI.HtmlControls;

public partial class Employee_frmUpdateEmpDetails : System.Web.UI.Page
{
    protected void Page_Load(object sender, EventArgs e)
    {

        if (Session["Designation"] != null && Session["Designation"].ToString() == "Employee")
            {
                if (!IsPostBack)
                {
                    try
                    {
                        GetEmpDetails();
                        GetDeptName();
                        GetManagerName();
                        GetUserDetails();
                    }
                    catch (Exception ex)
                    {
                        lblMainMsg.Text = ex.Message;
                    }
                }
            }
            else
                Response.Redirect("~/frmLogin.aspx");
    
        
        }
    clsEmpDetails objEmp = new clsEmpDetails();
    void GetEmpDetails()
    {

        objEmp.EmpId = Session["UserId"].ToString();
        
        DataSet dsEmp = objEmp.GetEmpDetails();
        DataRowCollection drc = dsEmp.Tables[0].Rows;
        if (drc.Count > 0)
        {
            lblEmpId.Text = drc[0][0].ToString();
            lblName.Text = drc[0][1].ToString();
            lblDOB.Text = drc[0][2].ToString();
            lblDOJ.Text = drc[0][3].ToString();

            txtAddress.Text = drc[0][4].ToString();
            txtCity.Text = drc[0][5].ToString();
            txtState.Text = drc[0][6].ToString();
            txtCountry.Text = drc[0][7].ToString();
            txtMailId.Text = drc[0][8].ToString();
            txtContactNo.Text = drc[0][9].ToString();

            ViewState["DeptId"] = drc[0][10];
            lblDesg.Text = drc[0][11].ToString();
            ViewState["MgrId"] = drc[0][12];
        }

    }
    void GetManagerName()
    {

        objEmp.EmpId = ViewState["MgrId"].ToString();
        DataSet dsEmp = objEmp.GetEmpNameByEmpId();
        DataRowCollection drc = dsEmp.Tables[0].Rows;
        if (drc.Count > 0)
        {
            LblManager.Text = drc[0][0].ToString();
        }
    }
    clsDept objdept = new clsDept();
    void GetDeptName()
    {
        objdept.DeptId = ViewState["DeptId"].ToString();

        DataSet dsDept = objdept.GetDeptDetailsBYDeptId();
        DataRowCollection drc = dsDept.Tables[0].Rows;
        if (drc.Count > 0)
        {
            lblDeptName.Text = drc[0][1].ToString();
        }
    }
    clsUserLogin objUser = new clsUserLogin();
    void GetUserDetails()
    {
        objUser.UserId = Session["UserId"].ToString();
        DataSet dsUser = objUser.GetUser_PassWord();
        DataRowCollection drc = dsUser.Tables[0].Rows;
        if (drc.Count > 0)
        {
            txtUserName.Text = drc[0][1].ToString();
            txtPassword.Text = drc[0][2].ToString();
        }

    }
    protected void btnUpdate_Click(object sender, EventArgs e)
    {
        try
        {
            objEmp.EmpId = Session["UserId"].ToString();
            objEmp.Address = txtAddress.Text;
            objEmp.City = txtCity.Text;
            objEmp.State = txtState.Text;
            objEmp.Country = txtCountry.Text;
            objEmp.EmailId = txtMailId.Text;
            objEmp.ContactNo = txtContactNo.Text;

            objEmp.UpdateEmpDetails();
            lblMsg.Text = "Details Updated..";
        }
        catch (Exception ex)
        {
            lblMsg.Text = ex.Message;
        }

    }
    protected void btnCancel_Click(object sender, EventArgs e)
    {
        txtAddress.Text = "";
        txtCity.Text = "";
        txtState.Text = "";
        txtCountry.Text = "";
        txtMailId.Text = "";
        txtContactNo.Text = "";
    }
}
