using System;
using System.Data;
using System.Configuration;
using System.Collections;
using System.Web;
using System.Web.Security;
using System.Web.UI;
using System.Web.UI.WebControls;
using System.Web.UI.WebControls.WebParts;
using System.Web.UI.HtmlControls;

public partial class FinanceManager_Reports_frmPaymentDetails : System.Web.UI.Page
{
    protected void Page_Load(object sender, EventArgs e)
    {
        if (Session["Designation"] != null && Session["Designation"].ToString() == "Finance Manager")
        {
            if (!IsPostBack)
            {
                try
                {
                    GetPaidDetails();
                }
                catch (Exception ex)
                {
                    lblMsg.Text = ex.Message;
                }
            }
        }
        else
            Response.Redirect("~/frmLogin.aspx");
       
            
        
    }
    clsPayDeatails objpay = new clsPayDeatails();
    void GetPaidDetails()
    {
       
      DataSet dspay= objpay.GetPayDetailsByDept(Session["DeptId"].ToString ());
      grdpaydetails.DataSource = dspay.Tables[0];
      grdpaydetails.DataBind();
    }
}
