using System;
using System.Data;
using System.Configuration;
using System.Collections;
using System.Web;
using System.Web.Security;
using System.Web.UI;
using System.Web.UI.WebControls;
using System.Web.UI.WebControls.WebParts;
using System.Web.UI.HtmlControls;

public partial class FinanceManager_frmBillInfo : System.Web.UI.Page
{
    clsBills objBills = new clsBills();

    protected void Page_Load(object sender, EventArgs e)
    {

        if (Session["Designation"] != null && Session["Designation"].ToString() == "Finance Manager")
            {
                GetBillsByStatus();
            }
            else
                Response.Redirect("~/frmLogin.aspx");
       
    }
    
    void GetBillsByStatus() 
    {
        string DeptId = Session["DeptId"].ToString();

        DataSet dsBills = objBills.GetBillSByDeptForFinMgr(DeptId);
        grdBillInfo.DataSource = dsBills.Tables[0];
        grdBillInfo.DataBind();
    }
    protected void grdBillInfo_RowCommand(object sender, GridViewCommandEventArgs e)
    {
        Response.Redirect("~/FinanceManager/frmBillDetails.aspx?Id=" + e.CommandArgument.ToString());
    }
}
