using System;
using System.Data;
using System.Configuration;
using System.Collections;
using System.Web;
using System.Web.Security;
using System.Web.UI;
using System.Web.UI.WebControls;
using System.Web.UI.WebControls.WebParts;
using System.Web.UI.HtmlControls;

public partial class frmLogin : System.Web.UI.Page
{
    protected void Page_Load(object sender, EventArgs e)
    {
        if (!IsPostBack)
        { 
        
        }
    }
    public static string Url;
    clsUserLogin objUser = new clsUserLogin();
    clsAdminLogin objAdmin = new clsAdminLogin();
    
    protected void Login1_Authenticate(object sender, AuthenticateEventArgs e)
    {
        try
        {
           
            //objAdmin.UserName = Login1.UserName;
            //objAdmin.Password = Login1.Password;
            //DataSet ds1 = objAdmin.ValidateAdminUser();
            //DataRowCollection drow = ds1.Tables[0].Rows;
            //if (drow.Count > 0)
            //{
            //    Session["Admin"] = "Admin";
            //    FormsAuthentication.RedirectFromLoginPage(Login1.UserName, Login1.RememberMeSet);
            //}

            objUser.UserName = Login1.UserName;
            objUser.Password = Login1.Password;
            DataSet dsValidate = objUser.ValidateUser();

            if (dsValidate.Tables[0].Rows.Count > 0 && dsValidate.Tables[0].Rows[0]["Designation"].ToString() == "Manager")
            {
                Session["Designation"] = dsValidate.Tables[0].Rows[0]["Designation"];
                Session["UserId"] = dsValidate.Tables[0].Rows[0]["UserId"];
                Session["UserName"] = dsValidate.Tables[0].Rows[0]["UserName"];
                FormsAuthentication.RedirectFromLoginPage(Login1.UserName ,Login1.RememberMeSet);
                Response.Redirect("~/Managers/frmManagerHomePage.aspx");
                
            }
               
            else if (dsValidate.Tables[0].Rows.Count > 0 && dsValidate.Tables[0].Rows[0]["Designation"].ToString() == "Finance Manager")
            {
                Session["Designation"] = dsValidate.Tables[0].Rows[0]["Designation"];
                Session["UserId"] = dsValidate.Tables[0].Rows[0]["UserId"];
                Session["UserName"] = dsValidate.Tables[0].Rows[0]["UserName"];
                GetDeptIdForFinanceManager();
                FormsAuthentication.RedirectFromLoginPage(Login1.UserName, Login1.RememberMeSet);
                Response.Redirect("~/FinanceManager/frmManagerHomePage.aspx");
            }
            else if (dsValidate.Tables[0].Rows.Count > 0 && dsValidate.Tables[0].Rows[0]["Designation"].ToString() == "Employee")
            {
                Session["Designation"] = dsValidate.Tables[0].Rows[0]["Designation"];
                Session["UserId"] = dsValidate.Tables[0].Rows[0]["UserId"];
                Session["UserName"] = dsValidate.Tables[0].Rows[0]["UserName"];
                FormsAuthentication.RedirectFromLoginPage(Login1.UserName, Login1.RememberMeSet);
                Response.Redirect("~/Employee/frmEmpHomePage.aspx");
            }
        }
        catch (Exception ex)
        {
            Login1.FailureText = ex.Message;
        }
    }
    clsEmpDetails objEmp = new clsEmpDetails();
    void GetDeptIdForFinanceManager()
    {
        objEmp.EmpId = Session["UserId"].ToString ();
        DataSet ds = objEmp.GetEmpDetails();
        DataRowCollection drc = ds.Tables[0].Rows;
        if (drc.Count > 0)
            Session["DeptId"] = drc[0]["DeptId"];
    }
}
